#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module	unicodecsv
Summary:	Replacement for csv module which supports unicode strings without a hassle
Summary(pl.UTF-8):	Zamiennik modułu csv obsługujący łańcuchy unikodowe bez problemów
Name:		python-%{module}
Version:	0.14.1
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/u/unicodecsv/%{module}-%{version}.tar.gz
# Source0-md5:	c18ffe8ded29a4f429224877b2b34252
URL:		https://github.com/jdunck/python-unicodecsv
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-unittest2 >= 0.5.1
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unicodecsv is a drop-in replacement for Python 2's csv module
which supports unicode strings without a hassle.

%description -l pl.UTF-8
Moduł unicodecsv to zamiennik modułu csv z Pythona 2, obsługujący
łańcuchy unikodowe bez problemów.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%if %{with tests}
%{__python} -m unittest unicodecsv.test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

# not used with python 2.x
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/py3.*
# tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/test.*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/unicodecsv
%{py_sitescriptdir}/unicodecsv-%{version}-py*.egg-info
%changelog
* Tue Jan 16 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-unicodecsv.git;a=log;h=master

* Mon Jan 15 2024 Jakub Bogusz <qboosh@pld-linux.org> dcf6086
- updated to 0.14.1, fixed tests

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> eed6280
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> edf4257
- Version: 0.14.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ee2beaa
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8215e5c
- automatic change: use py_build/py_install macros

* Tue Jun 19 2012 zbyniu <zbyniu@pld-linux.org> 2fc0ea1
- new, builds without tests

